/*
 * Copyright (C) 2006 Christoph Dalitz
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef cd13012006_otr_staff_plugins
#define cd13012006_otr_staff_plugins

#include <gamera.hpp>
#include <plugins/image_utilities.hpp>
#include <image_types.hpp>

using namespace std;

namespace Gamera {

  template<class T>
  void otr_reset_onebit_image(T &image) {
    typename T::vec_iterator i;
    for (i = image.vec_begin(); i != image.vec_end(); ++i) {
      if (i.get() > 0) i.set(1);
    }
  }
}
#endif


